<template>
  <div v-if="banner">
    <a :href="banner.link" target="_blank" rel="noopener noreferrer">
      <img
        :src="banner.image"
        :alt="banner.title"
        class="rounded img-fluid h-120-px"
      />
    </a>
  </div>
</template>

<script setup>
import { ref, onMounted } from 'vue'
const { $api } = useNuxtApp()

const banner = ref(null)

const getSingleBanner = async () => {
  await $api
    .post('/banner')
    .then((value) => {
      if (value?.data?.status && value.data.data.length > 0) {
        banner.value = value.data.data[0]
      }
    })
}

onMounted(() => {
  getSingleBanner()
})
</script>

<style scoped>
.h-120-px {
  height: 120px;
  object-fit: cover;
}
</style>
